error 3014 with 3Gs

Discussion in 'Jailbreaks and iOS Hacks' started by lakshi, Jun 26, 2010.

  1. macrumors regular

    Joined:
    Feb 7, 2008
    #1
    Hi, i have a 3Gs phone with new bootrom...whenever i try to restore to 3.1.3 using itunes i get error 3014. I have tried using on different computers on itunes 9.2 and 9.0 but still same error. Can anyone help me?
     
  2. macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #2
    you have your 3.1.3 SHSH on file and have edited your hosts file to redirect iTunes to the Cydia servers right?
     
  3. thread starter macrumors regular

    Joined:
    Feb 7, 2008
    #3
    What is SHSH and how do i edit hosts file?
     
  4. macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #4
    Apple restricts restores on the most recent idevices (3gs & above) by only allowing the current official FW to be restored.
    SHSH blobs are the signature from apple for a FW (e.g. 3.1.2) that was saved while 3.1.2 was being signed. This allows you to downgrade(EDIT: or restore) to said FW.
    Read here for more info.
    SHSH's are unique to each iPhone, so you cannot use someone elses.
    You cannot get SHSH blobs for a FW if Apple have stopped signing for it.
    Apple is now only signing for 4.0
    Cydia gives an option to 'Make my life easier' and, if you said yes, proceeded to save, and continue saving, SHSH blobs for each FW as it was released.
     
  5. thread starter macrumors regular

    Joined:
    Feb 7, 2008
    #5
    Just want to let you know that im not downgrading from 4.0 to 3.1.3. This phone already has firmware 3.1.3 or lower. Can you tell me which itunes to use to restore to 3.1.3?
     
  6. macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #6
    If you don't already have SHSH blobs for 3.1.3 you cannot restore to 3.1.3 because apple have stopped signing that FW version.... any clearer?
     
  7. macrumors regular

    gooddeal

    Joined:
    Aug 3, 2008
    Location:
    PA
    #7
    When you want to restore the phone, the iTune needs to verify your 3GS and only allow you to restore to the latest FW. Basically, Steve says you MUST use the 4.0.
     
  8. thread starter macrumors regular

    Joined:
    Feb 7, 2008
    #8
    Ok guys im clear now, i realize i cant restore to 3.1.3, just want to know what to do with my 3Gs since it is the new bootrom. How do i unlock it?
     
  9. macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #9
    Install ultrasn0w 0.93 through cydia
     
  10. thread starter macrumors regular

    Joined:
    Feb 7, 2008
    #10
    Yes, but how do i jailbreak it since it is stuck on emergency screen?
     
  11. macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #11
    You must activate it first using an official SIM, then JB using spirit
     
  12. macrumors regular

    gooddeal

    Joined:
    Aug 3, 2008
    Location:
    PA
    #12
    You need to have AT&T sim to get out from that screen.
     
  13. macrumors 6502a

    pixelated

    Joined:
    Oct 21, 2008
    #13
    im starting to hear an echo, albeit a less informative one:p
     
  14. thread starter macrumors regular

    Joined:
    Feb 7, 2008
    #14
    Guess what guys, i activated my iphone with Att sim, jailbroke it with spirit and then unlocked with ultrasn0w..thank you everyone :)
     

Share This Page